Package org.apache.torque.generator.configuration

## Class ClasspathConfigurationProviderTest

- java.lang.Object
- - org.apache.torque.generator.configuration.ClasspathConfigurationProviderTest

-     public class ClasspathConfigurationProviderTest
      extends Object

  Tests for the class ClasspathConfigurationProvider.
  Version:
    $Id: ClasspathConfigurationProviderTest.java 1855923 2019-03-20 16:19:39Z gk $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClasspathConfigurationProviderTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `before()` |
    `void` | `testGetOutletConfigurationNames()` |
    `void` | `testGetResourceFromJarWithDoubleDots()` |
    `void` | `testGetResourceWithDoubleDots()` |
    `void` | `testGetTemplateInputStream()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClasspathConfigurationProviderTest

          public ClasspathConfigurationProviderTest()

  - ### Method Detail

    - #### before

          @BeforeEach
          public void before()

    - #### testGetTemplateInputStream

          @Test
          public void testGetTemplateInputStream()
                                          throws Exception

      Throws:
        `Exception`

    - #### testGetResourceWithDoubleDots

          @Test
          public void testGetResourceWithDoubleDots()
                                             throws Exception

      Throws:
        `Exception`

    - #### testGetResourceFromJarWithDoubleDots

          @Test
          public void testGetResourceFromJarWithDoubleDots()
                                                    throws Exception

      Throws:
        `Exception`

    - #### testGetOutletConfigurationNames

          @Test
          public void testGetOutletConfigurationNames()
                                               throws Exception

      Throws:
        `Exception`